IEfans/IE专区/ IE修复/ 内容

完美解决axios在ie下的兼容性问题

IE修复 2019-03-14 09:03

首先说下axios虽说是支持ie8+,不过其原理是基于promise之上实现的

所以会有不兼容ie的问题 也就是trident内核的全不行,

会报:vuex requires a Promise polyfill in this browser

解决方法:

1、安装 babel-polyfill

2、修改build配置环境为下图或者 直接import

image.png

完事、重启下项目就搞定了、

数据获取正常了~


标签:
相关应用
必备软件
相关阅读